Here's the first quick update on adding a new bridged adapter and configuring the VMX file. Assumes that you have en0 and en1 adapters and that we will be using vmnet2 for 2nd bridged adapter. Please note if you are not comfortable editing bash scripts then best leave well alone. Please read the whitepaper first so you know where the files are located.
1. Edit boot.sh to add the following lines into the main procedure. Goto line 591 which should look like this:
code
# vmnet-bridge puts itself in background (daemon mode)
# Bridge to host network interface 'en0'.
#"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0
# Bridge to the primary host network interface (which can change over time).
"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''
;;
--stop)
logger -s -t "VMware Fusion 51348" "Shutting down VMware Fusion: "
# First attempt to synchronously kill the daemons this script had launched.
vmware_stop_pidfile /var/run/vmnet-bridge-vmnet0.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet1.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet8.pid || true
vmware_stop_pidfile /var/run/vmnet-natd-vmnet8.pid || true
vmware_stop_pidfile /var/run/vmnet-netif-vmnet1.pid || true
vmware_stop_pidfile /var/run/vmnet-netif-vmnet8.pid || true
[/code]
You need to comment out line 595 and then add the lines shown below so that it matches the second code block.
code
# vmnet-bridge puts itself in background (daemon mode)
# Bridge to host network interface 'en0'.
#"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0
# Bridge to the primary host network interface (which can change over time).
#"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''
"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0
"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet2.pid vmnet2 en1
;;
--stop)
logger -s -t "VMware Fusion 51348" "Shutting down VMware Fusion: "
# First attempt to synchronously kill the daemons this script had launched.
vmware_stop_pidfile /var/run/vmnet-bridge-vmnet0.pid || true
vmware_stop_pidfile /var/run/vmnet-bridge-vmnet2.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet1.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet8.pid || true
vmware_stop_pidfile /var/run/vmnet-natd-vmnet8.pid || true
vmware_stop_pidfile /var/run/vmnet-netif-vmnet1.pid || true
vmware_stop_pidfile /var/run/vmnet-netif-vmnet8.pid || true
[/code]
The difference is shown in the diff patch below:
code--- boot.sh.bk! 2007-08-27 18:51:41.000000000 +0100
+++ boot.sh 2007-08-28 14:40:47.000000000 +0100
@@ -592,7 +592,9 @@ case "$1" in
# Bridge to host network interface 'en0'.
#"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0
# Bridge to the primary host network interface (which can change over time).
- "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''
+ #"$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 ''
+ "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet0.pid vmnet0 en0
+ "$LIBDIR/vmnet-bridge" -d /var/run/vmnet-bridge-vmnet2.pid vmnet2 en2
;;
--stop)
@@ -600,6 +602,7 @@ case "$1" in
# First attempt to synchronously kill the daemons this script had launched.
vmware_stop_pidfile /var/run/vmnet-bridge-vmnet0.pid || true
+ vmware_stop_pidfile /var/run/vmnet-bridge-vmnet2.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet1.pid || true
vmware_stop_pidfile /var/run/vmnet-dhcpd-vmnet8.pid || true
vmware_stop_pidfile /var/run/vmnet-natd-vmnet8.pid || true
[/code]
2. Restart Fusion daemons with:
codeboot.sh --restart[/code]
3. Modify your VMX file for the guest you want to use. In my example it is a Windows XP guest with ethernet0-->bridged vmnet0 and ethernet1-->bridged vmnet2. Edit the VMX file, after showing package contents on vmwarevm package.
code
ethernet0.connectionType = "bridged"
ethernet0.present = "TRUE"
ethernet0.wakeOnPcktRcv = "FALSE"
ethernet1.connectionType = "custom"
ethernet1.present = "TRUE"
ethernet1.vnet = "vmnet2"
ethernet1.wakeOnPcktRcv = "FALSE"
[/code]
Power on and hopefully you should have 2 bridged network adapters. Here's my output from guest:
code
Ethernet adapter Local Area Connection:
Connection-specific DNS Suffix . :
Description . . . . . . . . . . . : VMware Accelerated AMD PCNet Adapter
Physical Address. . . . . . . . . : 00-0C-29-BA-EC-BB
Dhcp Enabled. . . . . . . . . . . : Yes
Autoconfiguration Enabled . . . . : Yes
IP Address. . . . . . . . . . . . : 10.101.0.102
Subnet Mask . . . . . . . . . . . : 255.255.0.0
Default Gateway . . . . . . . . . : 10.101.0.1
DHCP Server . . . . . . . . . . . : 10.101.0.2
DNS Servers . . . . . . . . . . . : 158.43.240.4
158.43.240.3
Lease Obtained. . . . . . . . . . : Tuesday, August 28, 2007 8:38:26 AM
Lease Expires . . . . . . . . . . : Friday, August 31, 2007 8:38:26 AM
Ethernet adapter Local Area Connection 2:
Connection-specific DNS Suffix . :
Description . . . . . . . . . . . : VMware Accelerated AMD PCNet Adapter
Physical Address. . . . . . . . . : 00-0C-29-BA-EC-C5
Dhcp Enabled. . . . . . . . . . . : Yes
Autoconfiguration Enabled . . . . : Yes
IP Address. . . . . . . . . . . . : 10.101.0.103
Subnet Mask . . . . . . . . . . . : 255.255.0.0
Default Gateway . . . . . . . . . : 10.101.0.1
DHCP Server . . . . . . . . . . . : 10.101.0.2
DNS Servers . . . . . . . . . . . : 158.43.240.4
158.43.240.3
Lease Obtained. . . . . . . . . . : Tuesday, August 28, 2007 8:38:26 AM
Lease Expires . . . . . . . . . . : Friday, August 31, 2007 8:38:26 AM
[/code]
I will be working on other scenarios and of course updating the paper with this.
Cheers
Dave